Bug 972727 - Reload Repository not working while a process is running
Summary: Reload Repository not working while a process is running
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR6
: 6.0.0
Assignee: Mauricio Salatino
QA Contact: Zuzana Krejčová
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 13:27 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:12:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Zuzana Krejčová 2013-06-10 13:27:08 UTC
Description of problem:
The Process Definition view has a button for reloading repository. If no process instance is running, you might get a short "please wait" pop-up, then you get get notified that process was refreshed from repository.
Once you start an instance of a process, you get that "please wait" pop-up but nothing else - the pop-up won't disappear and the view is inoperable.
The kie-ide needs to be refreshed and the running instances finished or aborted before the reloading works again.


Version-Release number of selected component (if applicable):
BPMS 6, DR5


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mauricio Salatino 2013-06-24 10:05:44 UTC
Fixed in master and also in beta4


Note You need to log in before you can comment on or make changes to this bug.